package ru.yandex.autotests.directapi.darkside.model.bmapi.request;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Created by pavryabov on 07.08.15.
 */
@XmlRootElement(name = "yml_catalog")
public class YmlCatalog {

    private String date;
    private Shop shop;

    public String getDate() {
        return date;
    }

    @XmlAttribute
    public void setDate(String date) {
        this.date = date;
    }

    public Shop getShop() {
        return shop;
    }

    @XmlElement
    public void setShop(Shop shop) {
        this.shop = shop;
    }

    public YmlCatalog withDate(String date) {
        this.date = date;
        return this;
    }

    public YmlCatalog withShop(Shop shop) {
        this.shop = shop;
        return this;
    }
}
